baseURL = "https://alexracine.ch/"
DefaultContentLanguage = "fr"
title = "Alexandre Racine"

theme = "portfoliGor"
enableGitInfo = true
paginate = 0

# Enables categories labels with accents but categories folders names without accents
removePathAccents = true

# rssLimit = 1

[security]
  enableInlineShortcodes = false
  [security.exec]
    allow = ['^dart-sass-embedded$', '^go$', '^npx$', '^postcss$', '^pandoc$', '^nvim$']
    osEnv = ['(?i)^(PATH|PATHEXT|APPDATA|TMP|TEMP|TERM)$']
  [security.funcs]
    getenv = ['^HUGO_']
  [security.http]
    methods = ['(?i)GET|POST']
    urls = ['.*']

[menu]
[[menu.main]]
  identifier = 'blog'
  name = 'Blog'
  title = 'La section blog'
  url = '/blog/'
  weight = 10
[[menu.main]]
  identifier = 'a-propos'
  name = 'À propos'
  title = 'À propos de ce site web'
  url = '/a-propos/'
  weight = -20
[[menu.main]]
  identifier = 'contacts'
  name = 'Contacts'
  title = 'Me contacter'
  url = '/contacts'
  weight = 0
[[menu.main]]
  identifier = 'applications'
  name = 'Applis'
  title = 'Liste des applications'
  url = '/applis/'
  weight = 5
[[menu.main]]
  identifier = 'moi'
  name = 'Moi'
  title = 'Quelques mots sur moi'
  url = '/me/'
  weight = -10
[[menu.footer]]
  identifier = 'credits'
  name = "Crédits"
  url = "/credits"
  weight = -100
[[menu.footer]]
  identifier = 'sources'
  name = "Sources"
  title = "Sources du site"
  url = "https://git.libracine.ch/alerac/alex.racine"
  weight = 20
[[menu.footer]]
  identifier = 'licence'
  name = "cc-by"
  title = "Licence Creative Commons By 4.0"
  url = "http://creativecommons.org/licenses/by/4.0/"
  weight = 10



[author]
    name = "Alexandre Racine"
    email = "alex@alexracine.ch"

[permalinks]
    posts = ":slug"
    blog = ":slug"

[frontmatter]
date = ["date", "publishDate"]
lastmod = [":git", "lastmod"]

[markup.goldmark.renderer]
unsafe= true

[params]

    Description = "Site web personnel d'Alexandre Racine. Bibliothécaire - Lausanne. aka alerac - aka racilex"
    Image = "avatar-800.png"
    ImageDescription = "silhouette d'un homme de profil sur fond bleu."
    License = "http://creativecommons.org/licenses/by/4.0/"

    [params.siteSources]
    # Git repository of the website
    url = "https://git.libracine.ch/alerac/alex.racine"
    # Which kind of git forge is it? GitHub, a Gitlab instance, a Gitea intance?
    type = "gitea"        # github, gitlab, gitea

    # Professional contact data
    [params.contactsPro]
    address = "Chemin des Falaises 2, 1005 Lausanne"
    phone = "+41 21 314 50 74"
    email = "alexandre.racine@chuv.ch"
    # publickey = ""
    # fingerprint = "843D 0CB6 A576 D7BE 4BF6 A63B 692D 97C3 D022 8A99"

    # Personal contact data
    [params.contactsPriv]
    Function = "Bibliothécaire"
    address = "Av. du Vieux-Moulin 8"
    ZIP = "1018"
    Place = "Lausanne"
    phone = "+41 79 390 89 27"
    email = "alex@alexracine.ch"
    publickey = "alex-racine-pub.asc"
    fingerprint = "8F0A C587 9360 DA46 36C4  B8FA 45E8 753A 63D7 859F"
    xmpp = "alex@alexracine.ch"
    # cv = "cv-igor-milhit.pdf"

    # Web accounts
    [params.online]
    git = "https://git.libracine.ch/alerac"
    github = "alerac"
    framagit = "alerac"
    mastodon = "https://mastodon.social/@racilex"
    discogs = "alerac"
    instagram = "racilex"

    # Apps
    [params.apps]
    cloudTitle = "Mon cloud personnel"
    cloudURL = "https://cloud.libracine.ch"
    cloudImg = "/images/apps/cloud.png"
    linksTitle = "Shaarli : une application de partage de liens"
    linksURL = "https://links.libracine.ch"
    linksImg = "/images/apps/link.png"
    galleryTitle = "Ma super galerie photo"
    galleryURL = "https://gallery.libracine.ch"
    galleryImg = "/images/apps/polaroid.png"
    liveTitle = "Libracine live : DJ sets et web radio personnelle"
    liveURL = "https://live.libracine.ch"
    liveImg = "/images/apps/vinyl.png"
    musicTitle = "Bibliothèque musicale"
    musicURL = "https://music.libracine.ch"
    musicImg = "/images/apps/music.png"
    gitTitle = "Instance Git personnelle"
    gitURL = "https://git.libracine.ch"
    gitImg = "/images/apps/git.png"
